Actions
Change collection lifecycle
Requires actions:write. Collection only: publish, pause or archive with current revision. Other families return ACTION_OPERATION_NOT_SUPPORTED. Archived definitions cannot be edited.
POST
/
actions
/
{actionId}
/
lifecycle
Change collection lifecycle
curl --request POST \
--url https://platform-api.visitoai.com/m2m/v1/actions/{actionId}/lifecycle \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"revision": 2
}'import requests
url = "https://platform-api.visitoai.com/m2m/v1/actions/{actionId}/lifecycle"
payload = { "revision": 2 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({revision: 2})
};
fetch('https://platform-api.visitoai.com/m2m/v1/actions/{actionId}/lifecycle', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"action": {
"actionId": "<string>",
"family": "http",
"revision": 2,
"supportedOperations": [
"configuration"
],
"state": {
"active": true,
"playgroundOnly": true,
"status": "draft",
"allowInPlayground": true,
"mode": "off"
},
"configuration": {
"toolId": "<string>",
"tenantId": "<string>",
"name": "<string>",
"description": "<string>",
"parameters": {},
"endpoint": {
"url": "<string>",
"method": "GET",
"timeoutMs": 15250
},
"auth": {
"type": "none",
"configured": true,
"headerName": "<string>",
"secretLastFour": "<string>"
},
"active": true,
"readOnly": true,
"allowInPlayground": true,
"propertyIds": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"mode": "off",
"playgroundOnly": true,
"configurationVersion": "<string>",
"scopeMode": "tenant"
}
}
}{
"error": {
"code": "M2M_AUTH_INSUFFICIENT_SCOPE",
"message": "M2M credential does not have required scope.",
"details": {
"requiredScopes": [
"conversations:write"
],
"missingScopes": [
"conversations:write"
]
}
}
}{
"error": {
"code": "M2M_AUTH_INSUFFICIENT_SCOPE",
"message": "M2M credential does not have required scope.",
"details": {
"requiredScopes": [
"conversations:write"
],
"missingScopes": [
"conversations:write"
]
}
}
}{
"error": {
"code": "M2M_AUTH_INSUFFICIENT_SCOPE",
"message": "M2M credential does not have required scope.",
"details": {
"requiredScopes": [
"conversations:write"
],
"missingScopes": [
"conversations:write"
]
}
}
}{
"error": {
"code": "M2M_AUTH_INSUFFICIENT_SCOPE",
"message": "M2M credential does not have required scope.",
"details": {
"requiredScopes": [
"conversations:write"
],
"missingScopes": [
"conversations:write"
]
}
}
}{
"error": {
"code": "M2M_AUTH_INSUFFICIENT_SCOPE",
"message": "M2M credential does not have required scope.",
"details": {
"requiredScopes": [
"conversations:write"
],
"missingScopes": [
"conversations:write"
]
}
}
}{
"error": {
"code": "M2M_AUTH_INSUFFICIENT_SCOPE",
"message": "M2M credential does not have required scope.",
"details": {
"requiredScopes": [
"conversations:write"
],
"missingScopes": [
"conversations:write"
]
}
}
}Authorizations
Server-side tenant-scoped credential created from Build > API Keys.
Path Parameters
Body
application/json
Response
Successful action operation
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
⌘I
Change collection lifecycle
